> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geopard-api-anfragenubersicht/1.-abonnement-ereignisse-abrufen.md).

# 1. Abonnement: Ereignisse abrufen

Folge Abonnements wenn `EINFÜGEN`/`ÄNDERN`/`ENTFERNEN` Aktionen mit "Farm", "Feld", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap" und anderen Entitäten stattfinden.

Der Abonnementmechanismus basiert auf MQTT und WebSocket. Unsere Empfehlung ist, die Integration zu beginnen, indem Sie die [AWS AppSync Subscription Artikel](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Abonnementereignisse werden gesendet, sobald das Ereignis im GeoPard-Backend stattgefunden hat.
{% endhint %}

{% hint style="info" %}
Jedes Abonnementereignis hat eine eindeutige Kennung namens `uuid`, die nützlich ist, um verarbeitete und verpasste Ereignisse zu filtern, die von angefordert wurden [82. Abfrage: Abonnementereignisse wiederherstellen](/geopard-tutorials/de/api-dokumentation/geopard-api-anfragenubersicht/82.-abfrage-abonnementereignisse-wiederherstellen.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    Aktion
    nodePath {
      Entität
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geopard-api-anfragenubersicht/1.-abonnement-ereignisse-abrufen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
